<?php

class p_usertab_uc extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        //   

        $this->info['plugin']           = 'p_usertab_uc';
        $this->info['title']            = ' ';
        $this->info['description']      = '  ""    ';
        $this->info['author']           = '';
        $this->info['version']          = '1.0';

        $this->info['tab']              = ''; //--    

        //  -
        $this->config[' '] = 10;

        // ,    

        $this->events[]                 = 'USER_PROFILE';

    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     *  
     * @param string $event
     * @param array $user
     * @return html
     */
    public function execute($event, $user){

        parent::execute();

        $inCore     = cmsCore::getInstance();

        $$catalogs   = array();

        $user_id    = $user['id'];
        $limit      = $this->config[' '];

        $sql        = "SELECT id, title, published FROM cms_uc_items
                       WHERE user_id = {$user_id}
                       ORDER BY published DESC
                       LIMIT {$limit}";

        $result     = $this->inDB->query($sql);

        $total      = $this->inDB->num_rows($result);

        if ($total){

            while($catalog = $this->inDB->fetch_assoc($result)){
                $catalog['url'] = '/catalog/item'.$catalog['id'].'.html';
                $catalogs[] = $catalog;
            }
            
        }

        ob_start();

        $smarty= $this->inCore->initSmarty('plugins', 'p_usertab_uc.tpl');
        $smarty->assign('total', $total);
        $smarty->assign('catalogs', $catalogs);
        $smarty->display('p_usertab_uc.tpl');

        $html = ob_get_clean();

        return $html;

    }

// ==================================================================== //

}

?>
